curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/packs/11111111-1111-1111-1111-111111111111/images/44444444-4444-4444-4444-444444444444 \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Pack image deleted",
"data": {
"id": "44444444-4444-4444-4444-444444444444",
"deleted": true
}
}
Packs
Delete Pack Image
Delete one image from a pack
DELETE
/
api
/
partner
/
v1
/
packs
/
{packId}
/
images
/
{imageId}
curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/packs/11111111-1111-1111-1111-111111111111/images/44444444-4444-4444-4444-444444444444 \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Pack image deleted",
"data": {
"id": "44444444-4444-4444-4444-444444444444",
"deleted": true
}
}
Deletes one image from a mutable pack.
Path Parameters
string
required
Pack UUID.
string
required
Image UUID from the pack
images list.curl --request DELETE \
--url https://www.genviral.io/api/partner/v1/packs/11111111-1111-1111-1111-111111111111/images/44444444-4444-4444-4444-444444444444 \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Pack image deleted",
"data": {
"id": "44444444-4444-4444-4444-444444444444",
"deleted": true
}
}
Error Responses
400 missing_pack_id- path param missing400 missing_image_id- path param missing404 pack_not_found- pack is missing/outside mutable key scope404 image_not_found- image ID not found in this pack401- authentication failed (missing/invalid/revoked token)402 subscription_required- active Creator/Professional/Business plan required403 tier_not_allowed- Scheduler tier cannot use Partner API500 pack_image_delete_failed- unexpected delete failure
